com.unitech.lib.util.diagnotics

## Class UniLog

- java.lang.Object
- - com.unitech.lib.util.diagnotics.UniLog

-     public class UniLog
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEBUG`
    `static int` | `DUMP`
    `static int` | `ERROR`
    `static int` | `INFO`
    `static int` | `INTER`
    `static int` | `IO`
    `static int` | `L1`
    `static int` | `L2`
    `static int` | `L3`
    `static int` | `L4`
    `static int` | `WARN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UniLog()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `d(java.lang.String tag, java.lang.String msg)`
    `static void` | `d(java.lang.String tag, java.lang.String format, java.lang.Object... args)`
    `static void` | `e(java.lang.String tag, java.lang.String msg)`
    `static void` | `e(java.lang.String tag, java.lang.String format, java.lang.Object... args)`
    `static void` | `e(java.lang.String tag, java.lang.Throwable tr, java.lang.String format, java.lang.Object... args)`
    `static int` | `getLogLevel()`
    `static void` | `i(java.lang.String tag, int level, java.lang.String msg)`
    `static void` | `i(java.lang.String tag, int level, java.lang.String format, java.lang.Object... args)`
    `static void` | `i(java.lang.String tag, java.lang.String format, java.lang.Object... args)`
    `static boolean` | `isLogging(int level)`
    `static void` | `popListener()`
    `static void` | `pushListener(com.unitech.lib.util.diagnotics.UniLog.ILoggingCheckPermissionListener listener)`
    `static void` | `setLogLevel(int level)`
    `static void` | `shutdown()`
    `static void` | `startUp(int level, java.lang.String path, java.lang.String name)`
    `static void` | `startUp(int level, java.lang.String path, java.lang.String name, com.unitech.lib.util.diagnotics.UniLog.ILoggingCheckPermissionListener listener)`
    `static void` | `startUp(java.lang.String path, java.lang.String name)`
    `static void` | `startUp(java.lang.String path, java.lang.String name, com.unitech.lib.util.diagnotics.UniLog.ILoggingCheckPermissionListener listener)`
    `static void` | `v(java.lang.String tag, int level, java.lang.String msg)`
    `static void` | `v(java.lang.String tag, int level, java.lang.String format, java.lang.Object... args)`
    `static void` | `w(java.lang.String tag, java.lang.String msg)`
    `static void` | `w(java.lang.String tag, java.lang.String format, java.lang.Object... args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ERROR

          public static final int ERROR

      See Also:
        Constant Field Values

    - #### WARN

          public static final int WARN

      See Also:
        Constant Field Values

    - #### DEBUG

          public static final int DEBUG

      See Also:
        Constant Field Values

    - #### L1

          public static final int L1

      See Also:
        Constant Field Values

    - #### L2

          public static final int L2

      See Also:
        Constant Field Values

    - #### L3

          public static final int L3

      See Also:
        Constant Field Values

    - #### L4

          public static final int L4

      See Also:
        Constant Field Values

    - #### INFO

          public static final int INFO

      See Also:
        Constant Field Values

    - #### INTER

          public static final int INTER

      See Also:
        Constant Field Values

    - #### IO

          public static final int IO

      See Also:
        Constant Field Values

    - #### DUMP

          public static final int DUMP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UniLog

          public UniLog()

  - ### Method Detail

    - #### startUp

          public static void startUp(java.lang.String path,
                                     java.lang.String name)

    - #### startUp

          public static void startUp(java.lang.String path,
                                     java.lang.String name,
                                     com.unitech.lib.util.diagnotics.UniLog.ILoggingCheckPermissionListener listener)

    - #### startUp

          public static void startUp(int level,
                                     java.lang.String path,
                                     java.lang.String name)

    - #### startUp

          public static void startUp(int level,
                                     java.lang.String path,
                                     java.lang.String name,
                                     com.unitech.lib.util.diagnotics.UniLog.ILoggingCheckPermissionListener listener)

    - #### shutdown

          public static void shutdown()

    - #### pushListener

          public static void pushListener(com.unitech.lib.util.diagnotics.UniLog.ILoggingCheckPermissionListener listener)

    - #### popListener

          public static void popListener()

    - #### getLogLevel

          public static int getLogLevel()

    - #### setLogLevel

          public static void setLogLevel(int level)

    - #### isLogging

          public static boolean isLogging(int level)

    - #### v

          public static void v(java.lang.String tag,
                               int level,
                               java.lang.String format,
                               java.lang.Object... args)

    - #### v

          public static void v(java.lang.String tag,
                               int level,
                               java.lang.String msg)

    - #### d

          public static void d(java.lang.String tag,
                               java.lang.String msg)

    - #### d

          public static void d(java.lang.String tag,
                               java.lang.String format,
                               java.lang.Object... args)

    - #### i

          public static void i(java.lang.String tag,
                               int level,
                               java.lang.String format,
                               java.lang.Object... args)

    - #### i

          public static void i(java.lang.String tag,
                               int level,
                               java.lang.String msg)

    - #### i

          public static void i(java.lang.String tag,
                               java.lang.String format,
                               java.lang.Object... args)

    - #### w

          public static void w(java.lang.String tag,
                               java.lang.String format,
                               java.lang.Object... args)

    - #### w

          public static void w(java.lang.String tag,
                               java.lang.String msg)

    - #### e

          public static void e(java.lang.String tag,
                               java.lang.String format,
                               java.lang.Object... args)

    - #### e

          public static void e(java.lang.String tag,
                               java.lang.Throwable tr,
                               java.lang.String format,
                               java.lang.Object... args)

    - #### e

          public static void e(java.lang.String tag,
                               java.lang.String msg)